package com.sonic.cow.client;

public interface ImageGenImageClient {

    /**
     * 同步-图生图 人像写真
     *
     * @param imageUrl 基图
     * @param prompt   提示词
     * @return
     */
    String imageGenImage(String imageUrl, String prompt)  throws Exception;

    /**
     * 同步-图生图 角色特征保持
     *
     * @param imageUrl 基图
     * @param prompt   提示词
     * @return
     */
    String imageGenImageV2(String imageUrl, String prompt)  throws Exception;




    /**
     * 异步-图生图提交任务
     *
     * @param imageUrl 基图
     * @param prompt   提示词
     * @return
     */
    String imageGenImageSubmitTask(String imageUrl, String prompt);

    /**
     * 异步-图生图提交任务
     *
     * @param taskId 任务id
     * @return
     */
    String imageGenImageGetTaskResult(String taskId);

}
